Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.connect
Interface Connector.Argument

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  Connector.BooleanArgument, Connector.IntegerArgument, Connector.SelectedArgument, Connector.StringArgument

Enclosing class:
  Connector

public static interface Connector.Argument
extends Serializable

Specification for and value of a Connector argument. Will always implement a subinterface of Argument: `Connector.StringArgument`, `Connector.BooleanArgument`, `Connector.IntegerArgument`, or `Connector.SelectedArgument`.

Method Summary
`String` | `description()` Returns a human-readable description of this argument and its purpose.
`boolean` | `isValid(String value)` Performs basic sanity check of argument.
`String` | `label()` Returns a short human-readable label for this argument.
`boolean` | `mustSpecify()` Indicates whether the argument must be specified.
`String` | `name()` Returns a short, unique identifier for the argument.
`void` | `setValue(String value)` Sets the value of the argument.
`String` | `value()` Returns the current value of the argument.

Method Detail

### name

    public String name()

  Returns a short, unique identifier for the argument. Not intended for exposure to end-user.
  Returns:
    the name of this argument.

### label

    public String label()

  Returns a short human-readable label for this argument.
  Returns:
    a label for this argument

### description

    public String description()

  Returns a human-readable description of this argument and its purpose.
  Returns:
    the description of this argument

### value

    public String value()

  Returns the current value of the argument. Initially, the default value is returned. If the value is currently unspecified, null is returned.
  Returns:
    the current value of the argument.

### setValue

    public void setValue(String value)

  Sets the value of the argument. The value should be checked with `isValid(String)` before setting it; invalid values will throw an exception when the connection is established - for example, on `LaunchingConnector.launch(java.util.Map)`

### isValid

    public boolean isValid(String value)

  Performs basic sanity check of argument.
  Returns:
    `true` if the value is valid to be used in `setValue(String)`

### mustSpecify

    public boolean mustSpecify()

  Indicates whether the argument must be specified. If true, `setValue(java.lang.String)` must be used to set a non-null value before using this argument in establishing a connection.
  Returns:
    `true` if the argument must be specified; `false` otherwise.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD